### Method

# WebKit UserContentFilterStore load

#### Declaration [src]

    void
    webkit_user_content_filter_store_load (
      WebKitUserContentFilterStore* store,
      const gchar* identifier,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously load a content filter given its `identifier`.

The filter must have been previously stored using webkit_user_content_filter_store_save().

When the operation is finished, `callback` will be invoked, which then can use `webkit_user_content_filter_store_load_finish()` to obtain the resulting filter.

Available since: | 2.24

#### Parameters

`identifier` | `const gchar*`
| A filter identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the load is completed.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to the callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.